import '@flarehr/beacon';
export declare class CarsCalculatorApp {
  isPaidCampaign?: boolean;
  apiBaseUrl: string;
  profileId: string;
  private areStylesLoaded;
  private isModelSelected;
  private isVariantSelected;
  private isQuoteCalculated;
  private hostElement;
  componentDidLoad(): Promise<void>;
  componentWillLoad(): void;
  render(): Element[];
  private fetchStyles;
  private renderAppContent;
  private renderVariantsList;
  private renderModelSelection;
  private renderQuoteCalculation;
  private disclaimer;
}
